Subject: Re: updated smap

From: Ted Keller <[email-masked]>
Date: Mon, 5 Feb 2001 17:59:18 -0500 (EST)

[To be removed from this list send the message "unsubscribe fwtk-users" in the
BODY of a mail message to [email-masked].]

Pretty much wrote my own.  Based it on the spam list provided by 

 Linkname: Oasel the Spam-Catcher's Report to the Nation
        URL: http://www.cnx.com/stopspam.html

This is all part of the smap program.  Processing is performed in copies
of standard buffers - not to modify the original message in any way.  This
- along with the spam filters modified from pabs provided list above -
are catching an estimated 95+ percent of spam coming into my
organization.

Last week alone - I blocked .... somewhere arount 21,000-25,000 spam
messages out of about 150.000 total deliveries.

This isn't everything - but it is a big help to the downstream e-mail
admins and end users.

tek

On Mon, 5 Feb 2001 [email-masked] wrote:

> nuqneH,
> 
> What did you use for filtering engine? Wrote your own one?
> 
> Ted Keller <[email-masked]> said :
> 
> > [To be removed from this list send the message "unsubscribe fwtk-users" in the
> > BODY of a mail message to [email-masked].]
> > 
> > I've updated my smap version to enable spam content filtering for mail
> > with embedded html tags.  Been running it for a couple of weeks now and it
> > seems to hold together pretty good.
> > 
> > The code also recognized javascript - and handles it effectively.
> > 
> > I also added a feature to allow for substing matching in html tagged
> > areas.  This permits the rejection of mail based on a partial url entry.
> > An example may be 
> > 
> > tag nudecasino.com
> > 
> > This will reject any message with a url containing these characters.
> > 
> > If anyone is interested, please contact me offline and I will tell you
> > where to pick it up at.
> > 
> > ted keller
> > 
> > 
> 
>                                      _     _  _  _  _      _  _
>  {::} {::} {::}  CU in Hell          _| o |_ | | _|| |   / _||_|   |_ |_ |_
>  (##) (##) (##)        /Arkan#iD    |_  o  _||_| _||_| /   _|  | o |_||_||_|
>  [||] [||] [||]            Do i believe in Bible? Hell,man,i've seen one!
>

---

From: [email-masked]
Date: Tue, 6 Feb 2001 14:44:17 +0300

-----BEGIN PGP SIGNED MESSAGE-----

nuqneH,

What about using html filtering engine from squid-gw for html mail?

I am thinking about dropping the whole smap/smapd thing completely and replacing
it with smtpd/smtpfwdd converted to fwtk configuration and logging style
(because of NAI licensing problems with original toolkit).

smtpd/smtpfwdd is much bigger, that is bad.
OpenBSD audited version does exist, that is good.

                                     _     _  _  _  _      _  _